.c-dropdown{ 
    position:relative;
    display:inline-block;
    margin-left:-15px;
    ::-webkit-scrollbar {
        width: 8px;
        margin: 10px;
    }
    ::-webkit-scrollbar-track {
        background: transparent;
        border-radius: 10px;
    }
    ::-webkit-scrollbar-thumb {
        border-radius: 10px;
        background: rgba(0,0,0,0.2);
    }
    &__arrowDown {
        display:inline-block;
        margin-top: 0px;
        margin-bottom: 2px;
        width: 0; 
        height: 0; 
        border-left: 4px solid transparent;
        border-right: 4px solid transparent;
        border-top: 4px solid #ffffff;
        // display: inline-block;
    }
    &__activeArea{
        display: inline-block;
        color:#fff;
        padding: 10px 15px 8px 15px;
        cursor: pointer;
        border-radius:2px;
        vertical-align: middle;
        @extend .transition;
        @extend .makeHoverable;
        img {
            vertical-align: middle;
            width: 15px;
        }
        span.text{
            margin: 0 10px;
        }
        &:hover, &.selected{
            background: $dropdown__activeColor;
        }
        
    }
    &__panel{
        background: $dropdown__panelColor;
        position:absolute;
        top:38px;
        padding: 10px 5px 10px 10px;
        z-index: 100;
        border-radius:2px;
        display:none;
        width: 100%;
        color:#fff;
        .content{
            height: 240px;
            overflow: auto;
        }
        img {
            vertical-align: middle;
            width: 15px;
            display: inline-block;
        }
        span.listText{
            margin: 0 10px;
        }
        li{
            list-style-type: none;
            cursor:pointer;
            padding: 7px 10px;
            border-bottom: 1px solid rgba(0,0,0,0.1);
            word-break: keep-all;
            display:block;
            font-size: 16px;
            // min-width:150px;
            @extend .transition;
            &:hover{
                background: rgba(0,0,0,0.1);
            }
        }
    }
   
}

.c-dropdownSimple{
    position:relative;
    &__activeArea{
        padding: 10px;
        @extend .makeHoverable;
        @extend .transition;
        &:hover, &.selected{
            background: $dropdownSimple__activeColor;
        }
    }
    &__panel{
        background: $dropdownSimple__panelColor;
        position:absolute;
        top:36px;
        padding: 10px;
        z-index: 100;
        display:none;
        width: 100%;
        box-shadow: 0px 8px 15px 0px rgba(0,0,0,0.25);
        img {
            vertical-align: middle;
            width: 15px;
            display: inline-block;
        }
        span.listText{
            margin: 0 10px;
        }
        li{
            list-style-type: none;
            cursor:pointer;
            padding: 7px 10px;
            word-break: keep-all;
            display:block;
            font-size: 16px;
            color: white;
            // min-width:150px;
            @extend .transition;
            &:hover{
                background: rgba(0,0,0,0.1);
            }
        }
    }
    
}



.lightTheme .c-dropdown{ 
    &__activeArea{
        color: $lightTheme-darkText;
        &:hover, &.selected{
            color:#fff;
        }
    }
    &__panel{
        li{
            color:#fff;
            &:hover{
                background: rgba(0,0,0,0.1);
            }
        }
    }
    &__arrowDown {
        border-top: 4px solid $lightTheme-darkText;
    }
    &__activeArea{
        &:hover, &.selected{
            .c-dropdown__arrowDown {
                border-top: 4px solid #fff;
            }
        }
    }
}

.lightTheme .c-dropdownSimple{
    &__activeArea{
        &:hover, &.selected{
            color:#fff;
            background: $dropdownSimple__activeColor;
        }
    }
    &__panel{
        background: $dropdownSimple__panelColor;
        li{
            color: white;
            &:hover{
                background: rgba(0,0,0,0.1);
            }
        }
    }
}